#ifndef LIDAR_H
#define LIDAR_H

#include <SparkFun_VL53L1X.h>

// LIDAR
SFEVL53L1X distanceSensor;
int budgetIndex = 4;
int budgetValue[7] = {15, 20, 33, 50, 100, 200, 500};
int LED = LED_BUILTIN;
int lidarThres = 300; // mm 

void LIDAR_Setup(){
  pinMode(LED, OUTPUT);
  digitalWrite(LED, HIGH);
  if (distanceSensor.begin() == 0)
    Serial.println("Sensor online!");
  distanceSensor.startRanging();
  distanceSensor.setIntermeasurementPeriod(budgetValue[budgetIndex]);
  digitalWrite(LED, LOW);
}

float LIDAR_BallCapture(){
  int dist = 0;
  int ball_cap = 0;
  dist = distanceSensor.getDistance();
  Serial.println(dist);
  if ((dist < lidarThres) && (dist > 0)){ // if we capture the ball 
    ball_cap = 1; 
    Serial.println("find ball");
  }else{
    ball_cap = 2;
    Serial.println("no ball");
  }
}

#endif
